@Version("1.7.0")

# Package org.apache.sling.distribution.journal

Interface Summary
BinaryStore: Abstraction for storing binaries
JournalAvailable: Marker service to signal that the Journal service is available and correctly configured
MessageHandler<T>
MessageInfo
MessageSender<T>
MessagingProvider: Messaging abstraction for a journal based messaging like Apache Kafka.

Class Summary
ExceptionEventSender: This is used by the journal adapter to send events for exceptions that happen when distribution talks to the journal.
FullMessage<T>
HandlerAdapter<T>
RunnableUtil

Enum Summary
Reset

Exception Summary
MessagingException